Summary:        Library to provide abstract access to various archives
Name:           physfs
Version:        3.0.2
Release:        6%{?dist}
License:        zlib
URL:            http://www.icculus.org/physfs/
Source0:        http://www.icculus.org/physfs/downloads/physfs-%{version}.tar.bz2

BuildRequires:  gcc-c++ libtool cmake
BuildRequires:	doxygen readline-devel
Provides:	      bundled(lzma-sdk457)


%description
PhysicsFS is a library to provide abstract access to various
archives. It is intended for use in video games, and the design
was somewhat inspired by Quake 3's file subsystem. The programmer
defines a "write directory" on the physical filesystem. No file
writing done through the PhysicsFS API can leave that write
directory, for security. 


%package devel
Summary:	Development libraries and headers for physfs
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the libraries and headers necessary for developing
packages with physfs functionality.


%prep
%autosetup


%build
%cmake
%cmake_build
doxygen %{_vpath_builddir}/Doxyfile


%install
%cmake_install
rm -rf %{buildroot}%{_libdir}/*.la

mkdir -p %{buildroot}%{_mandir}/man3
install -m0644 %{_vpath_builddir}/docs/man/man3/* %{buildroot}%{_mandir}/man3
mv %{buildroot}%{_mandir}/man3/author.3 %{buildroot}%{_mandir}/man3/physfs-author.3
mv %{buildroot}%{_mandir}/man3/deprecated.3 %{buildroot}%{_mandir}/man3/physfs-deprecated.3
mv %{buildroot}%{_mandir}/man3/description.3 %{buildroot}%{_mandir}/man3/physfs-description.3
mv %{buildroot}%{_mandir}/man3/extension.3 %{buildroot}%{_mandir}/man3/physfs-extension.3
mv %{buildroot}%{_mandir}/man3/major.3 %{buildroot}%{_mandir}/man3/physfs-major.3
mv %{buildroot}%{_mandir}/man3/minor.3 %{buildroot}%{_mandir}/man3/physfs-minor.3
mv %{buildroot}%{_mandir}/man3/patch.3 %{buildroot}%{_mandir}/man3/physfs-patch.3
mv %{buildroot}%{_mandir}/man3/url.3 %{buildroot}%{_mandir}/man3/physfs-url.3
mv %{buildroot}%{_mandir}/man3/remove.3 %{buildroot}%{_mandir}/man3/physfs-remove.3

for i in Deinit Free Init Malloc Realloc opaque; do
  mv %{buildroot}%{_mandir}/man3/$i.3 %{buildroot}%{_mandir}/man3/physfs-$i.3
done

touch -r LICENSE.txt %{_vpath_builddir}/docs/html/*
touch -r LICENSE.txt %{_vpath_builddir}/docs/latex/*

rm -rf %{buildroot}%{_libdir}/*.a


%files
%license LICENSE.txt
%doc docs/CHANGELOG.txt docs/CREDITS.txt docs/TODO.txt
%{_libdir}/*.so.*

%files devel
%doc %{_vpath_builddir}/docs/html/
%{_bindir}/test_physfs
%{_includedir}/physfs.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/physfs.pc
%{_mandir}/man3/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.2-1
- initial build
